## assword 0.7

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

VERSION:=$(shell git describe --tags | sed -e s/_/~/ -e s/-/+/ -e s/-/~/)

all: assword.1

assword.1: assword
	help2man ./assword -N -n 'Simple and secure password database and retrieval system' -o $@

.PHONY: all debian-snapshot clean

clean:
	rm -f assword.1

debian-snapshot:
	rm -rf build/deb
	mkdir -p build/deb/debian
	git archive HEAD | tar -x -C build/deb/
	git archive debian:debian | tar -x -C build/deb/debian/
	cd build/deb; dch -b -v $(VERSION) -D UNRELEASED 'test build, not for upload'
	cd build/deb; echo '3.0 (native)' > debian/source/format
	cd build/deb; debuild -us -uc

=== debian/changelog ===
assword (0.7-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * New Upstream Version
  * fix "Create" from xsearch
  * clean up/sync documentation now that numeric id's are not used.

  [ Jameson Rollins ]
  * fix debian dependencies and recommends
  * Closes ITP bug with wnpp (Closes: #706974)

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 07 May 2013 08:57:17 -0700

assword (0.6-1) unstable; urgency=low

  * New release.
  * replace python-tk with python-gtk2 dependency
  * Bump standards version (3.9.4)

 -- Jameson Rollins <jrollins@finestructure.net>  Sun, 24 Mar 2013 00:00:56 -0700

assword (0.5-1) unstable; urgency=low

  * New release, fixes versioning information.
  * minor packaging cleanup, bumping to debhelper compat level 9
  * added placeholder assword(1) man page via help2man

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Mar 2013 14:03:52 -0500

assword (0.4-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 02 Mar 2013 18:11:36 -0800

assword (0.3-1) unstable; urgency=low

  * New release.
  * Move python-xdo to Recommends.

 -- Jameson Rollins <jrollins@finestructure.net>  Wed, 13 Feb 2013 14:15:22 -0800

assword (0.2-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Thu, 17 Jan 2013 10:01:15 -0800

assword (0.1-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 05 Jan 2013 23:07:57 -0800

assword (0.0-1) unstable; urgency=low

  * New packaging.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 29 Dec 2012 06:29:40 -0800

=== debian/control ===
Source: assword
Section: python
Priority: optional
Maintainer: Jameson Rollins <jrollins@finestructure.net>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 pkg-config,
 python,
 python-setuptools,
 help2man,
 python-gpgme,
 python-gtk2,
 debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://finestructure.net/assword
Vcs-Git: git://finestructure.net/assword

Package: assword
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-pkg-resources,
 python-gpgme,
 python-gtk2
Recommends:
 python-xdo,
 xclip
Description: Simple and secure password management and retrieval system.
 Assword is a secure password manager that relies on your OpenPGP key
 for security and is designed to integrate in a minimal fashion into
 any X11 window manager.
 .
 Passwords and context strings are stored in a single
 OpenPGP-encrypted and signed file (meaning entry contexts are not
 exposed to the filesystem).  Along with a simple command-line
 interface, there is a streamlined GUI meant for X11 window manager
 integration.  When invoked, the GUI produces a prompt to search
 stored contexts.  New entries can also easily be created.  Passwords
 are securely retrieved without displaying on the screen.  Multiple
 retrieval methods are available, including auto-typing them directly
 into an X11 window (default), or inserting them into the X11 clipboard.

## assword 0.8

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,25 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-VERSION:=$(shell git describe --tags | sed -e s/_/~/ -e s/-/+/ -e s/-/~/)
+VERSION:=$(shell git describe --tags | sed -e s/_/~/ -e s/-/+/ -e s/-/~/ -e 's|.*/||')
 
+.PHONY: all
 all: assword.1
 
+.PHONY: test
+test:
+	./test/assword-test $(TEST_OPTS)
+
 assword.1: assword
-	help2man ./assword -N -n 'Simple and secure password database and retrieval system' -o $@
+	help2man ./assword -N -n 'Simple and secure password database and retrieval system' \
+	--include=assword.1.additional \
+	-o $@
 
-.PHONY: all debian-snapshot clean
-
+.PHONY: clean
 clean:
 	rm -f assword.1
 
+.PHONY: debian-snapshot
 debian-snapshot:
 	rm -rf build/deb
 	mkdir -p build/deb/debian

=== debian/changelog ===
assword (0.8-1) unstable; urgency=low

  * New upstream version (Closes: #745678, #720901, #727710, #728237, #725719)
  * Bump standards version

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Thu, 01 May 2014 23:23:10 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: assword
 Section: python
 Priority: optional
-Maintainer: Jameson Rollins <jrollins@finestructure.net>
+Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
  pkg-config,
@@ -11,7 +11,7 @@
  python-gpgme,
  python-gtk2,
  debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://finestructure.net/assword
 Vcs-Git: git://finestructure.net/assword

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils
override_dh_installman:
	make assword.1
	dh_installman

## assword 0.10

=== Makefile ===
--- 
+++ 
@@ -9,11 +9,15 @@
 .PHONY: test
 test:
 	./test/assword-test $(TEST_OPTS)
+	rm -f test/gnupg/S.gpg-agent
 
 assword.1: assword
-	help2man ./assword -N -n 'Simple and secure password database and retrieval system' \
-	--include=assword.1.additional \
-	-o $@
+	PYTHONPATH=. python3 -m assword help \
+	| txt2man -t assword -r 'assword $(VERSION)' -s 1 \
+	> assword.1
+
+version:
+	echo "__version__ = '$(VERSION)'" >assword/version.py
 
 .PHONY: clean
 clean:

=== debian/changelog ===
assword (0.10-2) unstable; urgency=medium

  * add Recommends on gir1.2-gtk-3.0 (Closes: #851637)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 17 Jan 2017 10:05:53 -0800

assword (0.10-1) unstable; urgency=medium

  * converted from python3-pyme to python3-gpg

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 25 Nov 2016 12:18:03 -0800

assword (0.10~rc1-1) unstable; urgency=medium

  * converted from python3-gpgme to python3-pyme

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 20:14:27 -0400

assword (0.10~rc0-1) UNRELEASED; urgency=high

  * New upstream release (Closes: #739820, #825365)
  * Change section to 'utils' (Closes: #832186)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 15 Aug 2016 00:49:28 -0700

assword (0.9-1) unstable; urgency=medium

  * new upstream release (converted to python3)
  * bump standards-version to 3.9.8 (no changes needed)
  * move Vcs-* fields for debian packaging to collab-maint on alioth

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 23 May 2016 15:20:19 -0700

assword (0.8-2) unstable; urgency=medium

  * d/control: fixed Homepage URL to use https
  * d/copyright: refer to all files explicitly
  * d/control: bump Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 02 Jul 2015 12:11:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,36 @@
 Source: assword
-Section: python
+Section: utils
 Priority: optional
 Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Uploaders:
+ Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
+ debhelper (>= 9),
+ dh-python,
  pkg-config,
- python,
- python-setuptools,
- help2man,
- python-gpgme,
- python-gtk2,
- debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://finestructure.net/assword
-Vcs-Git: git://finestructure.net/assword
+ python3,
+ python3-gpg,
+ python3-setuptools,
+ txt2man,
+Standards-Version: 3.9.8
+Homepage: https://finestructure.net/assword
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/assword.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/assword.git
 
 Package: assword
+Provides:
+ python3-assword,
 Architecture: all
 Depends:
- ${shlibs:Depends},
+ python3-gpg,
  ${misc:Depends},
- ${python:Depends},
- python-pkg-resources,
- python-gpgme,
- python-gtk2
+ ${python3:Depends},
 Recommends:
- python-xdo,
- xclip
-Description: Simple and secure password management and retrieval system.
+ gir1.2-gtk-3.0,
+ python3-gi,
+ python3-xdo,
+ xclip,
+Description: Simple and secure password management and retrieval system
  Assword is a secure password manager that relies on your OpenPGP key
  for security and is designed to integrate in a minimal fashion into
  any X11 window manager.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = assword

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	make test

override_dh_installman:
	make assword.1
	dh_installman
